#pragma once
#include <QFrame>
#include <QLabel>
#include <QComboBox>
#include <QTabWidget>
#include <QTableView>
#include <qstandarditemmodel.h>
#include "sims_world.h"

class ActionNodeConfiguration : public QFrame, public NodeConfiguration
{
private:
	QComboBox *const _execute_select;
	QTableView* const _variables_input;
	QStandardItemModel *const _input_model;
	QTableView* const _variables_output;
	QStandardItemModel* const _output_model;

public:
	ActionNodeConfiguration(QWidget *p = nullptr);

	void setTarget(NodePresent* ins) override;
};

