#pragma once

#include <QtWidgets/QMainWindow>
#include "ui_sims_world.h"
#include <DeduceFramework.h>

class NodePresent;
class NodeConfiguration {
public:
    virtual void setTarget(NodePresent* ins) = 0;
};

class SimsWorld : public QMainWindow
{
    Q_OBJECT

public:
    SimsWorld(QWidget *parent = nullptr);
    ~SimsWorld();

private:
    Ui::SimsWorldClass ui;
    std::shared_ptr<DeduceFramework> _backend_ins;
};
